<?php
/**
 * @package datamodul
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */




class ZahlungOnline extends Datamodul
{
  var $zahlung_id;
  var $amount;
  var $transactionid;
  var $paymenttype;
  var $financialinstitution;
  var $anonymouspan;
  var $payerid;
  var $paymentstatus;
  var $ordertime;
  var $payeremail;
  var $iban;
  var $bic;
  var $banknumber;
  var $bankname;
  var $payername;

  function getTyp($pFieldName) {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'ordertime':
        return VARTYP_DATETIME;        
      case 'zahlung_id':
        return VARTYP_INT;
      case 'amount':
        return VARTYP_FLOAT_DOT;
    }
  }

}
?>